#!/bin/sh
if [ -n $1 ]
then
INSTALLDIR=/opt/Canon
else
INSTALLDIR=$1
fi
BACKEND=canondr_backenddrm260
BACKENDLIB=CeiVSLinux.so
BACKENDLIB2=CsdCore.so
SCANNERNAME=drm260

if [ -e $INSTALLDIR/lib/canondr/$BACKEND ]
then
	rm -f $INSTALLDIR/lib/canondr/$BACKEND
fi

if [ -e $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB ]
then
	rm -f $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB
fi

if [ -e $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2 ]
then
	rm -f $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2
fi

if [ -e $INSTALLDIR/lib/canondr/$SCANNERNAME ]
then
	rm -r $INSTALLDIR/lib/canondr/$SCANNERNAME
fi
