#!/bin/sh
if [ -n $1 ]
then
INSTALLDIR=/opt/Canon
else
INSTALLDIR=$1
fi
BACKEND=canondr_backenddrm260
BACKENDLIB=CeiVSLinux.so
BACKENDLIB2=CsdCore.so
SCANNERNAME=drm260

if [ -e $INSTALLDIR/lib/canondr/$BACKEND ]
then
	rm -f $INSTALLDIR/lib/canondr/$BACKEND
fi

if [ -e $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB ]
then
	rm -f $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB
fi

if [ -e $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2 ]
then
	rm -f $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2
fi

cp -f ./$BACKEND $INSTALLDIR/lib/canondr/$BACKEND
cp -f ./$BACKENDLIB $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB
cp -f ./$BACKENDLIB2 $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2
chcon -t texrel_shlib_t $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB
chcon -t texrel_shlib_t $INSTALLDIR/lib/canondr/$SCANNERNAME/$BACKENDLIB2
	

